Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

## Class GenericIdentification4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_002_02.GenericIdentification4

    public class GenericIdentification4
    extends java.lang.Object

Java class for GenericIdentification4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericIdentification4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:swift:xsd:$pain.001.002.02}Max35Text"/>
             <element name="IdTp" type="{urn:swift:xsd:$pain.001.002.02}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `id`
`protected java.lang.String` `idTp`

### Constructor Summary

Constructors
`GenericIdentification4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getId()` Gets the value of the id property.
`java.lang.String` `getIdTp()` Gets the value of the idTp property.
`void` `setId​(java.lang.String value)` Sets the value of the id property.
`void` `setIdTp​(java.lang.String value)` Sets the value of the idTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected java.lang.String id

#### idTp

    protected java.lang.String idTp

### Constructor Detail

#### GenericIdentification4

    public GenericIdentification4()

### Method Detail

#### getId

    public java.lang.String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId​(java.lang.String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

#### getIdTp

    public java.lang.String getIdTp()

Gets the value of the idTp property.

Returns:
  possible object is `String`

#### setIdTp

    public void setIdTp​(java.lang.String value)

Sets the value of the idTp property.

Parameters:
  `value` - allowed object is `String`